Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509.qualified
Class TypeOfBiometricData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.qualified.TypeOfBiometricData

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class TypeOfBiometricData

extends ASN1Encodable
implements ASN1Choice

The TypeOfBiometricData object.

     TypeOfBiometricData ::= CHOICE {
       predefinedBiometricType   PredefinedBiometricType,
       biometricDataOid          OBJECT IDENTIFIER }

     PredefinedBiometricType ::= INTEGER {
       picture(0),handwritten-signature(1)}
       (picture|handwritten-signature)

Field Summary
`static int` | `HANDWRITTEN_SIGNATURE`
`static int` | `PICTURE`

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`TypeOfBiometricData(DERObjectIdentifier BiometricDataID)`
`TypeOfBiometricData(int predefinedBiometricType)`

Method Summary
`DERObjectIdentifier` | `getBiometricDataOid()`
`static TypeOfBiometricData` | `getInstance(java.lang.Object obj)`
`int` | `getPredefinedBiometricType()`
`boolean` | `isPredefined()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PICTURE

    public static final int PICTURE

See Also:
  Constant Field Values

### HANDWRITTEN_SIGNATURE

    public static final int HANDWRITTEN_SIGNATURE

See Also:
  Constant Field Values

Constructor Detail

### TypeOfBiometricData

    public TypeOfBiometricData(int predefinedBiometricType)

### TypeOfBiometricData

    public TypeOfBiometricData(DERObjectIdentifier BiometricDataID)

Method Detail

### getInstance

    public static TypeOfBiometricData getInstance(java.lang.Object obj)

### isPredefined

    public boolean isPredefined()

### getPredefinedBiometricType

    public int getPredefinedBiometricType()

### getBiometricDataOid

    public DERObjectIdentifier getBiometricDataOid()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD